Index: tmp/org.txm.ca.core/src/org/txm/ca/core/functions/CA.java
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/functions/CA.java	(revision 1786)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/functions/CA.java	(revision 1787)
@@ -178,7 +178,7 @@
 		
 		try {
 			if (this.getLexicalTable().getNRows() == 0) {
-				Log.warning("** Empty Lexical table. Aborting.");
+				Log.warning("** Empty Lexical table. Computing aborted.");
 				return false;
 			}
 			
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenSVGGraph.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenSVGGraph.java	(revision 1786)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenSVGGraph.java	(revision 1787)
@@ -36,6 +36,7 @@
 import org.eclipse.swt.widgets.FileDialog;
 import org.eclipse.swt.widgets.Shell;
 import org.eclipse.ui.IEditorInput;
+import org.eclipse.ui.IEditorPart;
 import org.eclipse.ui.IWorkbenchPage;
 import org.eclipse.ui.IWorkbenchWindow;
 import org.eclipse.ui.PartInitException;
@@ -102,16 +103,28 @@
 	public static SVGGraphicEditor OpenSVGFile(String filepath, String name) {
 		//System.out.println("SVGFile path : "+filepath); //$NON-NLS-1$
 		SVGGraphicEditorInput editorInput = new SVGGraphicEditorInput(filepath, name);
-		IWorkbenchWindow window = PlatformUI.getWorkbench().getActiveWorkbenchWindow();
-		//IWorkbenchWindow window = TXMWindows.getActiveWindow(); //.getActiveWorkbenchWindow()
 
 		// System.out.println("open svg editor" );
-		TXMEditor editor = TXMEditor.openEditor(editorInput, SVGGraphicEditor.ID);
-		if (editor !=null) {
-			((SVGGraphicEditor)editor).resetView();
-			return (SVGGraphicEditor)editor;
-		} else {
-			return null;
+//		TXMEditor editor = TXMEditor.openEditor(editorInput, SVGGraphicEditor.ID);
+//		if (editor !=null) {
+//			((SVGGraphicEditor)editor).resetView();
+//			return (SVGGraphicEditor)editor;
+//		} else {
+//			return null;
+//		}
+		
+		IWorkbenchWindow window = PlatformUI.getWorkbench().getActiveWorkbenchWindow();
+		IWorkbenchPage page = window.getActivePage();
+		try {
+			SVGGraphicEditor editor = (SVGGraphicEditor) page.openEditor(editorInput, "org.txm.rcp.editors.SVGGraphicEditor"); //$NON-NLS-1$
+			return editor;
 		}
+		catch (Exception e) {
+			// TODO Auto-generated catch block
+			e.printStackTrace();
+		}
+		
+		return null;
+		
 	}
 }
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/SVGGraphicEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/SVGGraphicEditor.java	(revision 1786)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/SVGGraphicEditor.java	(revision 1787)
@@ -38,10 +38,11 @@
 import org.eclipse.ui.IEditorInput;
 import org.eclipse.ui.IEditorSite;
 import org.eclipse.ui.PartInitException;
-import org.txm.core.results.TXMResult;
+import org.eclipse.ui.part.EditorPart;
 //import org.txm.chartsengine.core.results.ChartResult;
 import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.svg.SVGComposite;
+import org.txm.utils.logger.Log;
 
 /**
  * Test the use of the SVGComposite view from Batik_UI_Plugin Show a SVG file in
@@ -50,8 +51,7 @@
  * @author Sylvain Loiseau
  */
 //FIXME: SJ: this class doesn't work anymore
-//FIXME: SJ: this souldn't inherit from TXMEditor
-public abstract class SVGGraphicEditor extends TXMEditor<TXMResult> {
+public class SVGGraphicEditor extends EditorPart {
 
 	/** Linking with the OutlineView. */
 	// private OverviewOutlinePage overviewOutlinePage;
@@ -61,109 +61,39 @@
 	/** The svg path. */
 	private IPath svgPath;
 	
-	/** The input. */
-	private IEditorInput input;
-	
 	/** The svgfile displayed in the editor */
 	private File svgfile;
 	
-	/** The Constant ID. */
-	public static final String ID = SVGGraphicEditor.class.getName();
+	
 
-	/**
-	 * Gets the sVG composite.
-	 *
-	 * @return the sVG composite
-	 */
-	public SVGComposite getSVGComposite() {
-		return svgComp;
-	}
-
-	/**
-	 * Do save.
-	 *
-	 * @param arg0 the arg0
-	 * @see org.eclipse.ui.part.EditorPart#doSave(org.eclipse.core.runtime.IProgressMonitor)
-	 */
 	@Override
-	public void doSave(IProgressMonitor arg0) {
-		// TODO Auto-generated method stub
+	public void init(IEditorSite site, IEditorInput input) throws PartInitException {
+		this.setSite(site);
+		this.setInput(input);
+		this.setPartName(input.getName());
 	}
 
-	/**
-	 * Do save as.
-	 *
-	 * @see org.eclipse.lyon gournd zeroui.part.EditorPart#doSaveAs()
-	 */
-	@Override
-	public void doSaveAs() {
-		// TODO Auto-generated method stub
-	}
 
-	/**
-	 * Inits the.
-	 *
-	 * @param site the site
-	 * @param input the input
-	 * @throws PartInitException the part init exception
-	 * @see org.eclipse.ui.part.EditorPart#init(org.eclipse.ui.IEditorSite,
-	 * org.eclipse.ui.IEditorInput)
-	 */
 	@Override
-	public void init(IEditorSite site, IEditorInput input)
-			throws PartInitException {
-		this.input = input;
-		setSite(site);
-		setInput(input);
-		setPartName(input.getName());
-	}
+	public void createPartControl(Composite parent) {
 
-	/**
-	 * Checks if is dirty.
-	 *
-	 * @return true, if is dirty
-	 * @see org.eclipse.ui.part.EditorPart#isDirty()
-	 */
-	@Override
-	public boolean isDirty() {
-		return false;
-	}
-
-	/**
-	 * Checks if is save as allowed.
-	 *
-	 * @return true, if is save as allowed
-	 * @see org.eclipse.ui.part.EditorPart#isSaveAsAllowed()
-	 */
-	@Override
-	public boolean isSaveAsAllowed() {
-		return false;
-	}
-
-	/**
-	 * Creates the part control.
-	 *
-	 * @param parent the parent
-	 * @see org.eclipse.ui.part.WorkbenchPart#createPartControl(org.eclipse.swt.widgets.Composite)
-	 */
-	@Override
-	public void _createPartControl() {
-
-		svgComp = new SVGComposite(getResultArea(), SWT.EMBEDDED | SWT.NO_BACKGROUND);
+		svgComp = new SVGComposite(parent, SWT.EMBEDDED | SWT.NO_BACKGROUND);
 		if (svgPath == null) {
-			if (input instanceof SVGGraphicable) {
+			if (this.getEditorInput() instanceof SVGGraphicable) {
 				//svgPath = ((SVGGraphicable) input).getIPath().toFile().toURI().toURL().toString();
 				try {
-					svgComp.setSVGFile(((SVGGraphicable) input).getIPath().toFile().toURI().toURL());
-					svgfile = ((SVGGraphicable) input).getIPath().toFile();
-				} catch (MalformedURLException e) {
-					// TODO Auto-generated catch block
-					org.txm.utils.logger.Log.printStackTrace(e);
+					svgComp.setSVGFile(((SVGGraphicable) this.getEditorInput()).getIPath().toFile().toURI().toURL());
+					svgfile = ((SVGGraphicable) this.getEditorInput()).getIPath().toFile();
 				}
+				catch (MalformedURLException e) {
+					Log.printStackTrace(e);
+				}
 				
-			} else {
-				throw new IllegalArgumentException(TXMUIMessages.cannotDrawAGraphicWithTheInformationProvided);
 			}
+			else {
+				Log.severe(TXMUIMessages.cannotDrawAGraphicWithTheInformationProvided);
+				return;
+			}
 		}
 		svgComp.resetZoom();
 		createContextMenu();
@@ -244,12 +174,40 @@
 //	public void updateResultFromEditor() {
 //
 //	}
+//
+//	@Override
+//	public void updateEditorFromResult(boolean update) {
+//		// TODO implement a SVGResult extends TXMResult ?		
+////		svgFile = getResultData().getSVGFile();
+////		svgComp.setSVGFile(svgfile);
+//		svgComp.redraw();
+//	}
 
+
 	@Override
-	public void updateEditorFromResult(boolean update) {
-		// TODO implement a SVGResult extends TXMResult ?		
-//		svgFile = getResultData().getSVGFile();
-//		svgComp.setSVGFile(svgfile);
-		svgComp.redraw();
+	public void doSave(IProgressMonitor monitor) {
+		// TODO Auto-generated method stub
+		
 	}
+
+
+	@Override
+	public void doSaveAs() {
+		// TODO Auto-generated method stub
+		
+	}
+
+
+	@Override
+	public boolean isDirty() {
+		// TODO Auto-generated method stub
+		return false;
+	}
+
+
+	@Override
+	public boolean isSaveAsAllowed() {
+		// TODO Auto-generated method stub
+		return false;
+	}
 }
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/input/SVGGraphicEditorInput.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/input/SVGGraphicEditorInput.java	(revision 1786)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/input/SVGGraphicEditorInput.java	(revision 1787)
@@ -42,8 +42,7 @@
  * @author Sylvain Loiseau,mdecorde
  */
 // FIXME: SJ: this class doesn't work anymore
-// FIXME: SJ: this souldn't inherit from TXMResultEditorInput
-public class SVGGraphicEditorInput extends TXMResultEditorInput<TXMResult> implements IEditorInput, SVGGraphicable {
+public class SVGGraphicEditorInput implements IEditorInput, SVGGraphicable {
 
 	/** The filename. */
 	private String filename;
@@ -51,15 +50,7 @@
 	/** The name. */
 	private String name;
 
-	public SVGGraphicEditorInput(TXMResult result) {
-		super(null);
-	}
 	
-	
-	public SVGGraphicEditorInput() {
-		super(null);
-	}
-	
 	/**
 	 * Instantiates a new sVG graphic editor input.
 	 *
@@ -67,7 +58,6 @@
 	 * @param name the name
 	 */
 	public SVGGraphicEditorInput(String filename, String name) {
-		super(null);
 		this.filename = filename;
 		this.name = name;
 	}
Index: tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/r/RProgressionBaseChartCreator.java
===================================================================
--- tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/r/RProgressionBaseChartCreator.java	(revision 1786)
+++ tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/r/RProgressionBaseChartCreator.java	(revision 1787)
@@ -127,20 +127,11 @@
 
 			String name = progression.getCorpus().getName();
 
-			// Create chart title
-			String title = "";
-			if(result.getBooleanParameterValue(ChartsEnginePreferences.SHOW_TITLE))	{
-				title = Utils.createProgressionChartTitle(progression, cumulative);
-			}
-
-			// Escape title string
-			title = StringEscapeUtils.escapeJava(title);
-
 			// System.out.println("BANDE="+bande);
 			
-			String cmd = "progression(positions, names, colors, styles, widths, \"" + name + "\"," + progression.getXminCorpus() + "," + progression.getXmaxCorpus() + ",\"" + cumulative + "\",structurepositions,structurenames, \"" + title + "\", " + progression.getBande() + ");\n"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ //$NON-NLS-6$ //$NON-NLS-7$
+			String cmd = "progression(positions, names, colors, styles, widths, \"" + name + "\"," + progression.getXminCorpus() + "," + progression.getXmaxCorpus() + ",\"" + cumulative + "\",structurepositions,structurenames, \"\", " + progression.getBande() + ");\n"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ //$NON-NLS-6$ //$NON-NLS-7$
 			
-			this.getChartsEngine().plot(file, cmd);
+			this.getChartsEngine().plot(file, cmd, result, StringEscapeUtils.escapeJava(Utils.createProgressionChartTitle(progression, cumulative)), null);
 
 			RWorkspace.getRWorkspaceInstance().eval(Progression.prefixR + Progression.norep + " <- list(positions=positions, names=names, xmin=" + progression.getXminCorpus() + ",xmax=" + progression.getXmaxCorpus() + ", structpositions=structurepositions, structnames=structurenames)"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 			Progression.norep++;
Index: tmp/org.txm.progression.core/src/org/txm/progression/core/preferences/ProgressionPreferences.java
===================================================================
--- tmp/org.txm.progression.core/src/org/txm/progression/core/preferences/ProgressionPreferences.java	(revision 1786)
+++ tmp/org.txm.progression.core/src/org/txm/progression/core/preferences/ProgressionPreferences.java	(revision 1787)
@@ -52,5 +52,9 @@
 		preferences.putBoolean(CHART_CUMULATIVE, true);
 		preferences.putBoolean(REPEAT_SAME_VALUES, false);
 		preferences.putDouble(BANDE_MULTIPLIER, 1.0d);
+		
+		// FIXME: SJ: should find a way to disable functionality only for a specific charts engine, ie. here R  implementation doesn't manage the Show/Hide legend
+		// disable unavailable functionalities
+		//TXMPreferences.setEmpty(this.getPreferencesNodeQualifier(), SHOW_LEGEND);
 	}
 }
Index: tmp/org.txm.wordcloud.core/src/org/txm/wordcloud/core/preferences/WordCloudPreferences.java
===================================================================
--- tmp/org.txm.wordcloud.core/src/org/txm/wordcloud/core/preferences/WordCloudPreferences.java	(revision 1786)
+++ tmp/org.txm.wordcloud.core/src/org/txm/wordcloud/core/preferences/WordCloudPreferences.java	(revision 1787)
@@ -26,10 +26,10 @@
 		preferences.putBoolean(RANDOM_POSITIONS, false);
 		
 		// disable unavailable functionalities
-		TXMPreferences.setEmpty(this.getPreferencesNodeQualifier(), ChartsEnginePreferences.SHOW_TITLE);
-		TXMPreferences.setEmpty(this.getPreferencesNodeQualifier(), ChartsEnginePreferences.SHOW_LEGEND);
-		TXMPreferences.setEmpty(this.getPreferencesNodeQualifier(), ChartsEnginePreferences.SHOW_GRID);
-		TXMPreferences.setEmpty(this.getPreferencesNodeQualifier(), ChartsEnginePreferences.RENDERING_COLORS_MODE);
+		TXMPreferences.setEmpty(this.getPreferencesNodeQualifier(), SHOW_TITLE);
+		TXMPreferences.setEmpty(this.getPreferencesNodeQualifier(), SHOW_LEGEND);
+		TXMPreferences.setEmpty(this.getPreferencesNodeQualifier(), SHOW_GRID);
+		TXMPreferences.setEmpty(this.getPreferencesNodeQualifier(), RENDERING_COLORS_MODE);
 	}
 	
 	/**
